Bug 1289193 - (htmlcxx) Review Request: htmlcxx - A simple non-validating CSS1 and HTML parser for C++
Review Request: htmlcxx - A simple non-validating CSS1 and HTML parser for C++
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
http://htmlcxx.sourceforge.net/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 11:11 EST by MartinKG
Modified: 2015-12-15 00:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 03:22:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description MartinKG 2015-12-07 11:11:21 EST
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/htmlcxx.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/htmlcxx-0.85-1.fc23.src.rpm

Description: The htmlcxx-devel package contains libraries and header files for
developing applications that use htmlcxx.

Fedora Account System Username: martinkg

rpmlint -v htmlcxx-0.85-1.fc23.x86_64.rpm
htmlcxx.x86_64: I: checking
htmlcxx.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
htmlcxx.x86_64: W: shared-lib-calls-exit /usr/lib64/libcss_parser.so.0.0.0 exit@GLIBC_2.2.5
htmlcxx.x86_64: W: no-manual-page-for-binary htmlcxx
1 packages and 0 specfiles checked; 0 errors, 2 warnings

rpmlint -v htmlcxx-devel-0.85-1.fc23.x86_64.rpm
htmlcxx-devel.x86_64: I: checking
htmlcxx-devel.x86_64: W: non-standard-group Development/Libraries/C and C++
htmlcxx-devel.x86_64: W: only-non-binary-in-usr-lib
htmlcxx-devel.x86_64: W: no-documentation
htmlcxx-devel.x86_64: E: incorrect-fsf-address /usr/include/htmlcxx/html/tree.h
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

rpmlint htmlcxx-0.85-1.fc23.src.rpm
htmlcxx.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 MartinKG 2015-12-07 11:19:25 EST
yarock-1.1.4 depends on htmlcxx
Comment 2 Antonio Trande 2015-12-07 12:38:43 EST
- Remove gcc-c++ as BR

- Package uses either %{buildroot} or $RPM_BUILD_ROOT

- Why a BuildRoot? Do you need this package in EPEL5?

- htmlcxx-0.85/html/tree.h is licensed with GPLv2+ license
  Code is released with LGPLv2 license.

  "The uri parsing code is a derivative work of
  Apache web server uri parsing routines. Check 
  www.apache.org/licenses/LICENSE-2.0 or the ASF-2.0 file in the
  distribution for details."

  Please, fix the License tag.

- I dont see any '--without-static' option. Try with

  %configure --disable-static --enable-shared

  Maybe you don't need 'chrpath' anymore.

- Requires: %{name} = %{version}-%{release} is wrong
  Use Requires: %{name}%{?_isa} = %{version}-%{release}

- Remove all '*.la' files

- Please, fix all rpmlint warnings

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- **Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines**

  This is a known bug of 'fedora-review'.

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Package does not contain any libtool archives (.la)
  Note: htmlcxx : /usr/lib64/libcss_parser.la htmlcxx :
  /usr/lib64/libcss_parser_pp.la htmlcxx : /usr/lib64/libhtmlcxx.la
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2) (with incorrect FSF address)",
     "Unknown or generated". 74 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/1289193-htmlcxx/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 6 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-build
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in htmlcxx-
     devel , htmlcxx-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/sagitter/1289193-htmlcxx/results/htmlcxx-0.85-1.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-devel-0.85-1.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-debuginfo-0.85-1.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-debuginfo-0.85-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/sagitter/1289193-htmlcxx/results/htmlcxx-0.85-1.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-devel-0.85-1.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-debuginfo-0.85-1.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-debuginfo-0.85-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: htmlcxx-0.85-1.fc24.x86_64.rpm
          htmlcxx-devel-0.85-1.fc24.x86_64.rpm
          htmlcxx-debuginfo-0.85-1.fc24.x86_64.rpm
          htmlcxx-0.85-1.fc24.src.rpm
htmlcxx.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
htmlcxx.x86_64: W: non-standard-group Productivity/File utilities
htmlcxx.x86_64: W: invalid-license LGPL
htmlcxx.x86_64: W: shared-lib-calls-exit /usr/lib64/libcss_parser.so.0.0.0 exit@GLIBC_2.2.5
htmlcxx.x86_64: W: file-not-utf8 /usr/share/doc/htmlcxx/README
htmlcxx.x86_64: W: file-not-utf8 /usr/share/doc/htmlcxx/AUTHORS
htmlcxx.x86_64: W: no-manual-page-for-binary htmlcxx
htmlcxx-devel.x86_64: W: non-standard-group Development/Libraries/C and C++
htmlcxx-devel.x86_64: W: invalid-license LGPL
htmlcxx-devel.x86_64: W: only-non-binary-in-usr-lib
htmlcxx-devel.x86_64: W: no-documentation
htmlcxx-devel.x86_64: E: incorrect-fsf-address /usr/include/htmlcxx/html/tree.h
htmlcxx-debuginfo.x86_64: W: invalid-license LGPL
htmlcxx-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/htmlcxx-0.85/html/tree.h
htmlcxx.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
htmlcxx.src: W: non-standard-group Productivity/File utilities
htmlcxx.src: W: invalid-license LGPL
htmlcxx.src:32: W: setup-not-quiet
htmlcxx.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
4 packages and 0 specfiles checked; 2 errors, 17 warnings.




Requires
--------
htmlcxx (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcss_parser.so.0()(64bit)
    libcss_parser_pp.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhtmlcxx.so.3()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)

htmlcxx-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    htmlcxx
    libcss_parser.so.0()(64bit)
    libcss_parser_pp.so.0()(64bit)
    libhtmlcxx.so.3()(64bit)

htmlcxx-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
htmlcxx:
    htmlcxx
    htmlcxx(x86-64)
    libcss_parser.so.0()(64bit)
    libcss_parser_pp.so.0()(64bit)
    libhtmlcxx.so.3()(64bit)
    libtool(/usr/lib64/libcss_parser.la)
    libtool(/usr/lib64/libcss_parser_pp.la)
    libtool(/usr/lib64/libhtmlcxx.la)

htmlcxx-devel:
    htmlcxx-devel
    htmlcxx-devel(x86-64)
    pkgconfig(htmlcxx)

htmlcxx-debuginfo:
    htmlcxx-debuginfo
    htmlcxx-debuginfo(x86-64)



Source checksums
----------------
http://sourceforge.net/projects/htmlcxx/files/htmlcxx/0.85/htmlcxx-0.85.tar.gz :
  CHECKSUM(SHA256) this package     : ab02a0c4addc82f82d564f7d163fe0cc726179d9045381c288f5b8295996bae5
  CHECKSUM(SHA256) upstream package : ab02a0c4addc82f82d564f7d163fe0cc726179d9045381c288f5b8295996bae5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1289193
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Antonio Trande 2015-12-07 12:41:04 EST
Also, use %license for license files.
Comment 4 Upstream Release Monitoring 2015-12-07 12:42:32 EST
martinkg's scratch build of htmlcxx-0.85-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12100694
Comment 5 MartinKG 2015-12-07 14:15:33 EST
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/htmlcxx.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/htmlcxx-0.85-2.fc23.src.rpm

%changelog
* Mon Dec 07 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.85-2
- removed BR gcc-c++
- replaced %%RPM_BUILD_ROOT by %%{buildroot}
- removed Buildroot tag
- use %%{?_smp_mflags} in make
- corrected license tag
- removed unrecognized configure options and added correct one
- added isa to requires tag
- removed all '*.la' files
- Mark license files as %%license where available


(In reply to Antonio Trande from comment #2)
> - Remove gcc-c++ as BR
done

> 
> - Package uses either %{buildroot} or $RPM_BUILD_ROOT
done

> 
> - Why a BuildRoot? Do you need this package in EPEL5?
done

> 
> - htmlcxx-0.85/html/tree.h is licensed with GPLv2+ license
>   Code is released with LGPLv2 license.
done

>   "The uri parsing code is a derivative work of
>   Apache web server uri parsing routines. Check 
>   www.apache.org/licenses/LICENSE-2.0 or the ASF-2.0 file in the
>   distribution for details."
> 
>   Please, fix the License tag.
done

> 
> - I dont see any '--without-static' option. Try with
> 
>   %configure --disable-static --enable-shared
done

>   Maybe you don't need 'chrpath' anymore.
htmlcxx doesn't compile w/o chrpath

> 
> - Requires: %{name} = %{version}-%{release} is wrong
>   Use Requires: %{name}%{?_isa} = %{version}-%{release}
done

> 
> - Remove all '*.la' files
done

> 
> - Please, fix all rpmlint warnings

checking: htmlcxx-0.85-2.fc24.x86_64.rpm
          htmlcxx-devel-0.85-2.fc24.x86_64.rpm
          htmlcxx-debuginfo-0.85-2.fc24.x86_64.rpm
          htmlcxx-0.85-2.fc24.src.rpm
htmlcxx.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
htmlcxx.x86_64: W: shared-lib-calls-exit /usr/lib64/libcss_parser.so.0.0.0 exit@GLIBC_2.2.5
htmlcxx.x86_64: W: no-manual-page-for-binary htmlcxx
htmlcxx-devel.x86_64: W: only-non-binary-in-usr-lib
htmlcxx-devel.x86_64: W: no-documentation
htmlcxx-devel.x86_64: E: incorrect-fsf-address /usr/include/htmlcxx/html/tree.h
htmlcxx-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/htmlcxx-0.85/html/tree.h
htmlcxx.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
4 packages and 0 specfiles checked; 2 errors, 6 warnings.
Comment 6 MartinKG 2015-12-07 14:21:07 EST
E: incorrect-fsf-address /usr/include/htmlcxx/html/tree.h
is alread reported upstream: https://sourceforge.net/p/htmlcxx/patches/7/
Comment 7 Antonio Trande 2015-12-07 16:16:42 EST
>find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
Use %{buildroot}.

Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2) (with incorrect FSF address)",
     "Unknown or generated". 74 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/1289193-htmlcxx/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in htmlcxx-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/sagitter/1289193-htmlcxx/results/htmlcxx-0.85-2.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-devel-0.85-2.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-debuginfo-0.85-2.fc24.x86_64.rpm /home/sagitter/1289193-htmlcxx/results/htmlcxx-debuginfo-0.85-2.fc24.x86_64.rpm


Rpmlint
-------
Checking: htmlcxx-0.85-2.fc24.x86_64.rpm
          htmlcxx-devel-0.85-2.fc24.x86_64.rpm
          htmlcxx-debuginfo-0.85-2.fc24.x86_64.rpm
          htmlcxx-0.85-2.fc24.src.rpm
htmlcxx.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
htmlcxx.x86_64: W: shared-lib-calls-exit /usr/lib64/libcss_parser.so.0.0.0 exit@GLIBC_2.2.5
htmlcxx.x86_64: W: no-manual-page-for-binary htmlcxx
htmlcxx-devel.x86_64: W: only-non-binary-in-usr-lib
htmlcxx-devel.x86_64: W: no-documentation
htmlcxx-devel.x86_64: E: incorrect-fsf-address /usr/include/htmlcxx/html/tree.h
htmlcxx-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/htmlcxx-0.85/html/tree.h
htmlcxx.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
4 packages and 0 specfiles checked; 2 errors, 6 warnings.




Requires
--------
htmlcxx (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcss_parser.so.0()(64bit)
    libcss_parser_pp.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhtmlcxx.so.3()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)

htmlcxx-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    htmlcxx(x86-64)
    libcss_parser.so.0()(64bit)
    libcss_parser_pp.so.0()(64bit)
    libhtmlcxx.so.3()(64bit)

htmlcxx-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
htmlcxx:
    htmlcxx
    htmlcxx(x86-64)
    libcss_parser.so.0()(64bit)
    libcss_parser_pp.so.0()(64bit)
    libhtmlcxx.so.3()(64bit)

htmlcxx-devel:
    htmlcxx-devel
    htmlcxx-devel(x86-64)
    pkgconfig(htmlcxx)

htmlcxx-debuginfo:
    htmlcxx-debuginfo
    htmlcxx-debuginfo(x86-64)



Source checksums
----------------
http://sourceforge.net/projects/htmlcxx/files/htmlcxx/0.85/htmlcxx-0.85.tar.gz :
  CHECKSUM(SHA256) this package     : ab02a0c4addc82f82d564f7d163fe0cc726179d9045381c288f5b8295996bae5
  CHECKSUM(SHA256) upstream package : ab02a0c4addc82f82d564f7d163fe0cc726179d9045381c288f5b8295996bae5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1289193
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 MartinKG 2015-12-07 16:47:11 EST
@Antonio Thanks for the review.

New Package SCM Request
=======================
Package Name: htmlcxx
Short Description: A simple non-validating CSS1 and HTML parser for C++
Owners: martinkg
Branches: f23 rawhide
InitialCC:
Comment 9 MartinKG 2015-12-07 16:55:40 EST
I am missing the fedora-cvs flag under Flags ?
Comment 10 Antonio Trande 2015-12-07 17:07:40 EST
(In reply to MartinKG from comment #9)
> I am missing the fedora-cvs flag under Flags ?

No; SCM admin request for your newly approved package is changed: http://fedoraproject.org/wiki/PackageDB_admin_requests#New_packages
Comment 11 Gwyn Ciesla 2015-12-07 20:05:57 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/htmlcxx
Comment 12 MartinKG 2015-12-08 03:22:24 EST
package has been built successfully on fc23 and rawhide.
Comment 13 Parag AN(पराग) 2015-12-15 00:22:53 EST
Thanks for adding this package to Fedora. This is needed by new yarock package update now. I am not finding time to update it in Fedora. Once I get some free time, I will update to recent release of yarock.

Note You need to log in before you can comment on or make changes to this bug.